declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'
        CREATE TABLE MENSAJE (
        MENSAJE_ID NUMBER(7,0) NOT NULL ENABLE,
        FECINI DATE,
        FECFIN DATE,
        DESCRIPCION VARCHAR2(500 BYTE), 
        INDTIPO NUMBER(1,0),
        ACTIVO NUMBER(1,0),
        FECMODIF DATE,
        USUARIO_ID NUMBER(7,0),
        CONSTRAINT "PK_MENSAJE" PRIMARY KEY ("MENSAJE_ID"),
        CONSTRAINT "FK_MENSAJE_USUARIO" FOREIGN KEY ("USUARIO_ID") REFERENCES USUARIO("USUARIO_ID")
        )
    ';
 exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'
        CREATE TABLE MENSAJE_PUNTO_VENTA(
        MENSAJE_PUNTO_VENTA_ID NUMBER(7,0) NOT NULL ENABLE,
        MENSAJE_ID NUMBER(7,0),
        PUNTOVENTA_ID NUMBER(7,0),
        ACTIVO NUMBER(1,0),
        FECMODIF DATE,
        USUARIO_ID NUMBER(7,0),
        CONSTRAINT "PK_MENSAJE_PUNTO_VENTA" PRIMARY KEY ("MENSAJE_PUNTO_VENTA_ID"),
        CONSTRAINT "FK_MENSAJE_PTO_VENTA_MENSAJE" FOREIGN KEY ("MENSAJE_ID") REFERENCES MENSAJE("MENSAJE_ID"),
        CONSTRAINT "FK_MENSAJE_PTO_VENTA_PTO_VENTA" FOREIGN KEY ("PUNTOVENTA_ID") REFERENCES PUNTO_VENTA("PUNTOVENTA_ID"),
        CONSTRAINT "FK_MENSAJE_PUNTO_VENTA_USUARIO" FOREIGN KEY ("USUARIO_ID") REFERENCES USUARIO("USUARIO_ID")
        )
    ';
 exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'
        CREATE TABLE MENSAJE_EMPRESA(
        MENSAJE_EMPRESA_ID NUMBER(7,0) NOT NULL ENABLE,
        MENSAJE_ID NUMBER(7,0),
        EMPRESA_ID NUMBER(7,0),
        ACTIVO NUMBER(1,0),
        FECMODIF DATE,
        USUARIO_ID NUMBER(7,0),
        CONSTRAINT "PK_MENSAJE_EMPRESA" PRIMARY KEY ("MENSAJE_EMPRESA_ID"),
        CONSTRAINT "FK_MENSAJE_EMPRESA_MENSAJE" FOREIGN KEY ("MENSAJE_ID") REFERENCES MENSAJE("MENSAJE_ID"),
        CONSTRAINT "FK_MENSAJE_EMPRESA_EMPRESA" FOREIGN KEY ("EMPRESA_ID") REFERENCES EMPRESA("EMPRESA_ID"),
        CONSTRAINT "FK_MENSAJE_EMPRESA_USUARIO" FOREIGN KEY ("USUARIO_ID") REFERENCES USUARIO("USUARIO_ID")
        )
    ';
 exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'
        CREATE TABLE MENSAJE_USUARIO(
        MENSAJE_USUARIO_ID NUMBER(7,0) NOT NULL ENABLE,
        MENSAJE_ID NUMBER(7,0),
        USUARIO_ID NUMBER(7,0),
        FECLEIDO DATE,
        ACTIVO NUMBER(1,0),
        USUARIOMODIF_ID NUMBER(7,0),
        FECMODIF DATE,
        CONSTRAINT "PK_MENSAJE_USUARIO" PRIMARY KEY ("MENSAJE_USUARIO_ID"),
        CONSTRAINT "FK_MENSAJE_USUARIO_MENSAJE" FOREIGN KEY ("MENSAJE_ID") REFERENCES MENSAJE("MENSAJE_ID"),
        CONSTRAINT "FK_MENSAJE_USUARIO_USUARIO" FOREIGN KEY ("USUARIO_ID") REFERENCES USUARIO("USUARIO_ID"),
        CONSTRAINT "FK_MENSAJE_USUMODIF_USUARIO" FOREIGN KEY ("USUARIOMODIF_ID") REFERENCES USUARIO("USUARIO_ID")
        )
    ';
 exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'CREATE SEQUENCE  "MENSAJE_SEQ"  MINVALUE 1 MAXVALUE 9999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE';
 exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'CREATE SEQUENCE  "MENSAJE_PUNTO_VENTA_SEQ"  MINVALUE 1 MAXVALUE 9999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE';
 exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'CREATE SEQUENCE  "MENSAJE_EMPRESA_SEQ"  MINVALUE 1 MAXVALUE 9999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE';
 exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'CREATE SEQUENCE  "MENSAJE_USUARIO_SEQ"  MINVALUE 1 MAXVALUE 9999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE';
 exception when object_exists then null;
end;