declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
'CREATE TABLE RESERVA_ESPECIAL_CLIENTE
   (RESERVAESPECIALCLIENTE_ID  NUMBER(7,0) NOT NULL ENABLE, 
	CLIENTE_ID  NUMBER(7,0),
	CORRIDA_ID  NUMBER(7,0),
	ORIGEM_ID  NUMBER(7,0),
	DESTINO_ID NUMBER(7,0),
	FECINICIO DATE,
	FECFINAL DATE,
	TEMPOCONFIRMACAO DATE,
	NUMASENTOCORRIDA NUMBER(3,0),
	INDSEGUNDA NUMBER(1,0),
	INDTERCA NUMBER(1,0),
	INDQUARTA NUMBER(1,0),
	INDQUINTA NUMBER(1,0),
	INDSEXTA NUMBER(1,0),
	INDSABADO NUMBER(1,0),
	INDDOMINGO NUMBER(1,0),
	ACTIVO NUMBER(1,0), 
	FECMODIF DATE, 
	USUARIO_ID NUMBER(7,0),
   	PRIMARY KEY (RESERVAESPECIALCLIENTE_ID) ENABLE,
    CONSTRAINT FK_USUARIO_ID_RESERVA_ESPECIAL FOREIGN KEY (USUARIO_ID) REFERENCES USUARIO (USUARIO_ID),
    CONSTRAINT FK_CLIENTE_ID_RESERVA_ESPECIAL FOREIGN KEY (CLIENTE_ID) REFERENCES CLIENTE (CLIENTE_ID),
	CONSTRAINT FK_ORIGEM_ID_RESERVA_ESPECIAL FOREIGN KEY (ORIGEM_ID) REFERENCES PARADA (PARADA_ID),
	CONSTRAINT FK_DESTINO_ID_RESERVA_ESPECIAL FOREIGN KEY (DESTINO_ID) REFERENCES PARADA (PARADA_ID)
   )';
  exception when object_exists then null;
end;


/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
  	'CREATE SEQUENCE  RESERVA_ESPECIAL_CLIENTE_SEQ  MINVALUE 1 MAXVALUE 9999999 INCREMENT BY 1 START WITH 1 NOCACHE ORDER NOCYCLE';	
  exception when object_exists then null;
end;

/
declare
    dup_val_on_index exception;
    pragma exception_init (dup_val_on_index  , -00001);
begin
    execute immediate 'INSERT INTO CONSTANTE (CONSTANTE_ID, NOMBCONSTANTE, DESCCONSTANTE, VALORCONSTANTE, INDTIPOCONSTANTE, INDMANTENIMIENTOUSUARIO, ACTIVO, FECMODIF, USUARIO_ID) 
	VALUES (CONSTANTE_SEQ.nextval, ''ESTACION_RESERVA_CLIENTES'', ''ESTACION_RESERVA_CLIENTES'', ''-1'', ''1'', ''1'', ''1'', sysdate, ''1'')';
  exception when dup_val_on_index  then null;
end;
/
declare
    dup_val_on_index exception;
    pragma exception_init (dup_val_on_index  , -00001);
begin
    execute immediate 'INSERT INTO CONSTANTE (CONSTANTE_ID, NOMBCONSTANTE, DESCCONSTANTE, VALORCONSTANTE, INDTIPOCONSTANTE, INDMANTENIMIENTOUSUARIO, ACTIVO, FECMODIF, USUARIO_ID) 
	VALUES (CONSTANTE_SEQ.nextval, ''PUNTOVENTA_RESERVA_CLIENTES'', ''PUNTOVENTA_RESERVA_CLIENTES'', ''-1'', ''1'', ''1'', ''1'', sysdate, ''1'')';
  exception when dup_val_on_index  then null;
end;
/
declare
    dup_val_on_index exception;
    pragma exception_init (dup_val_on_index  , -00001);
begin
  execute immediate 'INSERT INTO CONSTANTE (CONSTANTE_ID, NOMBCONSTANTE, DESCCONSTANTE, VALORCONSTANTE, INDTIPOCONSTANTE,
		INDMANTENIMIENTOUSUARIO, ACTIVO, FECMODIF, USUARIO_ID) 
		VALUES (CONSTANTE_SEQ.nextval, ''USUARIO_RESERVA_CLIENTES'', ''USUARIO_RESERVA_CLIENTES'',
		 ''-1'', ''1'', ''1'', ''1'', sysdate, ''1'')';
  exception when dup_val_on_index  then null;
end;