DO $$
BEGIN
 CREATE TABLE CONF_REST_ORGAOCONCEDENTE (
       CONFRESTORGAOCONCEDENTE_ID       NUMBER(15, 0) NOT NULL,
       ORGAOCONCEDENTE_ID    NUMBER(7, 0) NOT NULL,
       CONFRESTRICAOCANALVENTA_ID NUMBER(15, 0) NOT NULL,       
       ACTIVO               NUMBER(1) NULL,
       FECMODIF             DATE NULL,
       USUARIO_ID           NUMBER(7) NULL,
       PRIMARY KEY (CONFRESTORGAOCONCEDENTE_ID),
       CONSTRAINT "FK_CONFRESTCANALVENTAID" FOREIGN KEY ("CONFRESTRICAOCANALVENTA_ID")
	   REFERENCES CONF_RESTRICAO_CANALVENTA ("CONFRESTRICAOCANALVENTA_ID") ENABLE,
       CONSTRAINT "FK_CONFRESORGAOCONCEDENTE" FOREIGN KEY ("ORGAOCONCEDENTE_ID")
	   REFERENCES ORGAO_CONCEDENTE ("ORGAOCONCEDENTE_ID") ENABLE );
  EXCEPTION WHEN duplicate_column THEN NULL;
END
$$;
/
DO $$
BEGIN
	CREATE SEQUENCE CONF_REST_ORGAOCONCEDENTE_SEQ INCREMENT BY 1 START WITH 1 NOCACHE ORDER NOCYCLE;
  EXCEPTION WHEN duplicate_column THEN NULL;
END
/
DO $$
BEGIN
	CREATE TABLE CONF_REST_RUTAS (
       CONFRESTRUTAS_ID       NUMBER(15, 0) NOT NULL,
       RUTA_ID    NUMBER(7, 0) NOT NULL,
       CONFRESTRICAOCANALVENTA_ID NUMBER(15, 0) NOT NULL,       
       ACTIVO               NUMBER(1) NULL,
       FECMODIF             DATE NULL,
       USUARIO_ID           NUMBER(7) NULL,
       PRIMARY KEY (CONFRESTRUTAS_ID),
       CONSTRAINT "FK_CONFRESTRUTASID" FOREIGN KEY ("CONFRESTRICAOCANALVENTA_ID")
	   REFERENCES CONF_RESTRICAO_CANALVENTA ("CONFRESTRICAOCANALVENTA_ID") ENABLE,
       CONSTRAINT "FK_CONFRESRUTAS" FOREIGN KEY ("RUTA_ID")
	   REFERENCES RUTA ("RUTA_ID") ENABLE );
  EXCEPTION WHEN duplicate_column THEN NULL;
END
/
DO $$
BEGIN
	CREATE SEQUENCE CONF_REST_RUTAS_SEQ INCREMENT BY 1 START WITH 1 NOCACHE ORDER NOCYCLE;
  EXCEPTION WHEN duplicate_column THEN NULL;
END
/
DO $$
BEGIN
	CREATE TABLE CONF_REST_TRAMOOC (
       CONFRESTTRAMOOC_ID       NUMBER(15, 0) NOT NULL,
       ORIGEM_ID    NUMBER(7, 0) NOT NULL,
       DESTINO_ID    NUMBER(7, 0) NOT NULL,
       CONFRESTRICAOCANALVENTA_ID NUMBER(15, 0) NOT NULL,       
       ACTIVO               NUMBER(1) NULL,
       FECMODIF             DATE NULL,
       USUARIO_ID           NUMBER(7) NULL,
       PRIMARY KEY (CONFRESTTRAMOOC_ID),
       CONSTRAINT "FK_CONFRESTRAMOOCID" FOREIGN KEY ("CONFRESTRICAOCANALVENTA_ID")
	   REFERENCES CONF_RESTRICAO_CANALVENTA ("CONFRESTRICAOCANALVENTA_ID") ENABLE,
       CONSTRAINT "FK_CONFRESTRAMOORIGEMOC" FOREIGN KEY ("ORIGEM_ID")
	   REFERENCES PARADA ("PARADA_ID") ENABLE,
	    CONSTRAINT "FK_CONFRESTRAMODESTINOOC" FOREIGN KEY ("DESTINO_ID")
	   REFERENCES PARADA ("PARADA_ID") ENABLE );
  EXCEPTION WHEN duplicate_column THEN NULL;
END
/
DO $$
BEGIN
	CREATE SEQUENCE CONF_REST_TRAMOOC_SEQ INCREMENT BY 1 START WITH 1 NOCACHE ORDER NOCYCLE;
  EXCEPTION WHEN duplicate_column THEN NULL;
END
/
